//
// Forms
// ==========================================

input,
select,
textarea {
    background-color: $input--background-color;
    border: 1px solid $input--border-color;
    color: $input--color;
    @include rem(font-size,$input--font-size);
    font-weight: 400;
    padding: 15px;
    width: 100%;
}

input:focus,
textarea:focus {
    border: 1px solid $input-focus--border-color;
    outline: none;
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
    width: auto;
}

::-moz-placeholder {
    color: $placeholder--color;
    opacity: 1;
}

::-webkit-input-placeholder {
    color: $placeholder--color;
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],
.button {
    background-color: $button--background-color;
    border: 0;
    color: $button--color;
    cursor: pointer;
    @include rem(font-size,$button--font-size);
    font-weight: 600;
    padding: 15px 30px;
    text-decoration: none;
    white-space: normal;
    width: auto;
}

button:focus,
button:hover,
input[type="button"]:focus,
input[type="button"]:hover,
input[type="reset"]:focus,
input[type="reset"]:hover,
input[type="submit"]:focus,
input[type="submit"]:hover,
.button:focus,
.button:hover {
    background-color: $button--active-background-color;
    color: $button--active-color;
}

.entry-content {
    .button:focus,
    .button:hover {
        color: $button--active-color;
    }
}

.button {
    display: inline-block;
}

a.button.small,
button.small,
input[type="button"].small,
input[type="reset"].small,
input[type="submit"].small {
    padding: 8px 16px;
}

.site-container {
    button:disabled,
    button:disabled:hover,
    input:disabled,
    input:disabled:hover,
    input[type="button"]:disabled,
    input[type="button"]:disabled:hover,
    input[type="reset"]:disabled,
    input[type="reset"]:disabled:hover,
    input[type="submit"]:disabled,
    input[type="submit"]:disabled:hover {
        background-color: $button--disabled-background-color;
        border-width: 0;
        color: $button--disabled-color;
        cursor: not-allowed;
    }
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button {
    display: none;
}